Update fake R4 on (older fw) DSi?

Discussion in 'R4 DS' started by JenZ, May 10, 2012.

May 10, 2012

Update fake R4 on (older fw) DSi? by JenZ at 1:05 PM (2,386 Views / 0 Likes) 7 replies

  1. JenZ
    OP

    Newcomer JenZ Newbie

    Joined:
    May 10, 2012
    Messages:
    5
    Country:
    Belgium
    Hi to all,

    Current setup: NDSi XL 1.4.4e with working (real) R4-SDHC RTS Lite card.
    Situation: My wife found a R4 card containing a 2Gb MicroSd on the streets.

    After looking through this great forum i found out it'll probably be a fake one.
    Nevertheless there were a bunch of games and savegames on it.
    Problem with my setup: i can't 'run' the card. It has the famous
    "An error has occurred. Press and hold the power Button to turn the system off."

    So i thought it needs an update. I can't read it with my DSi, but do you think it'll work on a lower level firmware one?
    Is it safe to run an update on that older NDSi? Does an update update the R4-card or the console?
    I don't wanna 'brick' a borrowed DSi ofcourse.

    Details:
    This is the card: http://image.dhgate....95_00/1.0x0.jpg
    Message in DSI menu: SpongeBob's Atlantis Squarepantis THQ
    Error when booting: http://www.millerswe...0_3568477_n.jpg
    Did do a full format (sd formatter), and tried multiple kernel's.

    Any tips for this NDS noob :-)
    Kind regards
     
  2. JenZ
    OP

    Newcomer JenZ Newbie

    Joined:
    May 10, 2012
    Messages:
    5
    Country:
    Belgium
    Anyone on dis thing perhaps? Plz? :)
     
  3. EyeZ

    Member EyeZ GBAtemp Addict

    Joined:
    Dec 4, 2009
    Messages:
    2,336
    Country:
    United Kingdom
    The R4i needs an update file, which will need a DS/Lite to update it on
     
  4. JenZ
    OP

    Newcomer JenZ Newbie

    Joined:
    May 10, 2012
    Messages:
    5
    Country:
    Belgium
    so if i run one of those updates it will not update the console, but the R4-card itself?
     
  5. EyeZ

    Member EyeZ GBAtemp Addict

    Joined:
    Dec 4, 2009
    Messages:
    2,336
    Country:
    United Kingdom
    No the update file if there is one for your card would be found on the website that is printed on your R4i, and the update file

    would have to be run on a DS/Lite to update your R4i.
     
  6. JenZ
    OP

    Newcomer JenZ Newbie

    Joined:
    May 10, 2012
    Messages:
    5
    Country:
    Belgium
    Tnx, so i need an older dsi to update the r4i card. Will give it a go soon.
     
  7. EyeZ

    Member EyeZ GBAtemp Addict

    Joined:
    Dec 4, 2009
    Messages:
    2,336
    Country:
    United Kingdom
    Yes that is correct, so you found the update file then?

    EDIT: probably be better to use a DS/Lite as the DSi would have to be on a low enough firmware version
     
  8. JenZ
    OP

    Newcomer JenZ Newbie

    Joined:
    May 10, 2012
    Messages:
    5
    Country:
    Belgium
    I hope so.
    On my card there's a link to http://www.r4i-sdhc.hk/downloade.html
    There i see something like 'firmware upgrade package'.
    Too bad it says 1.4.3 while my DSi is 1.4.4E (btw: is it normal that the chatroom is not available?)
     

Share This Page